﻿
$ErrorActionPreference = 'Stop';

$packageName= 'gitea'
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = 'https://dl.gitea.io/gitea/1.17.4/gitea-1.17.4-gogit-windows-4.0-386.exe'
$url64      = 'https://dl.gitea.io/gitea/1.17.4/gitea-1.17.4-gogit-windows-4.0-amd64.exe'
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"

$packageArgs = @{
  packageName   = $packageName

  url           = $url
  url64bit      = $url64

  softwareName  = 'Gitea'

  checksum      = 'bac97e23dd2d35372f279bf106149ffa41a49c2bf3289fef517e7c3fde806479'
  checksumType  = 'sha256'
  checksum64    = '063259b8bfb9f9a9f257114fb9511641b2f754e2b221bf2960f746e98c63cbe6'
  checksumType64= 'sha256'

  fileFullPath  = "$toolsDir\gitea.exe"

  validExitCodes= @(0)
}

Get-ChocolateyWebFile @packageArgs
